steghide (0.5.1-9) tests/Makefile

Summary

 tests/Makefile |  720 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 720 insertions(+)

    
download this patch

Patch contents

--- steghide-0.5.1.orig/tests/Makefile
+++ steghide-0.5.1/tests/Makefile
@@ -0,0 +1,720 @@
+# Makefile.in generated by automake 1.7.2 from Makefile.am.
+# tests/Makefile.  Generated from Makefile.in by configure.
+
+# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
+# Free Software Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+
+
+srcdir = .
+top_srcdir = ..
+
+pkgdatadir = $(datadir)/steghide
+pkglibdir = $(libdir)/steghide
+pkgincludedir = $(includedir)/steghide
+top_builddir = ..
+
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+INSTALL = /usr/bin/install -c
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+build_triplet = i686-pc-linux-gnu
+host_triplet = i686-pc-linux-gnu
+target_triplet = i686-pc-linux-gnu
+ACLOCAL = ${SHELL} /home/ola/build/debian/steghide/steghide-0.5.1/missing --run aclocal-1.7
+ALLOCA = 
+AMDEP_FALSE = #
+AMDEP_TRUE = 
+AMTAR = ${SHELL} /home/ola/build/debian/steghide/steghide-0.5.1/missing --run tar
+AUTOCONF = ${SHELL} /home/ola/build/debian/steghide/steghide-0.5.1/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/ola/build/debian/steghide/steghide-0.5.1/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/ola/build/debian/steghide/steghide-0.5.1/missing --run automake-1.7
+AWK = gawk
+BUILD_INCLUDED_LIBINTL = no
+CATOBJEXT = .gmo
+CC = gcc
+CCDEPMODE = depmode=gcc3
+CFLAGS = -g -O2
+CPP = gcc -E
+CPPFLAGS = 
+CXX = g++
+CXXDEPMODE = depmode=gcc3
+CXXFLAGS = -O2 -Wall
+CYGPATH_W = echo
+DATADIRNAME = share
+DEFS = -DHAVE_CONFIG_H
+DEPDIR = .deps
+ECHO_C = 
+ECHO_N = -n
+ECHO_T = 
+EGREP = grep -E
+EXEEXT = 
+GENCAT = gencat
+GLIBC21 = yes
+GMSGFMT = /usr/bin/msgfmt
+HAVE_DOXYGEN_FALSE = 
+HAVE_DOXYGEN_TRUE = #
+HAVE_PERL_FALSE = #
+HAVE_PERL_TRUE = 
+INSTALL_DATA = ${INSTALL} -m 644
+INSTALL_PROGRAM = ${INSTALL}
+INSTALL_SCRIPT = ${INSTALL}
+INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
+INSTOBJEXT = .mo
+INTLBISON = bison
+INTLLIBS = 
+INTLOBJS = 
+INTL_LIBTOOL_SUFFIX_PREFIX = 
+LDFLAGS = 
+LIBICONV = 
+LIBINTL = 
+LIBOBJS = 
+LIBS =  -ljpeg -lmcrypt -lmhash -lz 
+LN_S = ln -s
+LTLIBICONV = 
+LTLIBINTL = 
+LTLIBOBJS = 
+MAKEINFO = ${SHELL} /home/ola/build/debian/steghide/steghide-0.5.1/missing --run makeinfo
+MKINSTALLDIRS = ./mkinstalldirs
+MSGFMT = /usr/bin/msgfmt
+MSGMERGE = /usr/bin/msgmerge
+OBJEXT = o
+PACKAGE = steghide
+PACKAGE_BUGREPORT = 
+PACKAGE_NAME = 
+PACKAGE_STRING = 
+PACKAGE_TARNAME = 
+PACKAGE_VERSION = 
+PATH_SEPARATOR = :
+POSUB = po
+RANLIB = ranlib
+SET_MAKE = 
+SHELL = /bin/sh
+STRIP = 
+USE_INCLUDED_LIBINTL = no
+USE_INTLDIR_FALSE = 
+USE_INTLDIR_TRUE = #
+USE_NLS = yes
+VERSION = 0.5.1
+XGETTEXT = /usr/bin/xgettext
+ac_ct_CC = gcc
+ac_ct_CXX = g++
+ac_ct_RANLIB = ranlib
+ac_ct_STRIP = 
+ac_cv_prog_doxygen = no
+ac_cv_prog_perl = yes
+am__fastdepCC_FALSE = #
+am__fastdepCC_TRUE = 
+am__fastdepCXX_FALSE = #
+am__fastdepCXX_TRUE = 
+am__include = include
+am__quote = 
+bindir = ${exec_prefix}/bin
+build = i686-pc-linux-gnu
+build_alias = 
+build_cpu = i686
+build_os = linux-gnu
+build_vendor = pc
+datadir = ${prefix}/share
+exec_prefix = ${prefix}
+host = i686-pc-linux-gnu
+host_alias = 
+host_cpu = i686
+host_os = linux-gnu
+host_vendor = pc
+includedir = ${prefix}/include
+infodir = ${prefix}/share/info
+install_sh = /home/ola/build/debian/steghide/steghide-0.5.1/install-sh
+libdir = ${exec_prefix}/lib
+libexecdir = ${exec_prefix}/libexec
+localstatedir = ${prefix}/var
+mandir = ${prefix}/share/man
+oldincludedir = /usr/include
+prefix = /usr
+program_transform_name = s,x,x,
+sbindir = ${exec_prefix}/sbin
+sharedstatedir = ${prefix}/com
+sysconfdir = ${prefix}/etc
+target = i686-pc-linux-gnu
+target_alias = 
+target_cpu = i686
+target_os = linux-gnu
+target_vendor = pc
+SUBDIRS = data
+TESTS = unittests systemtests.pl
+AM_CPPFLAGS = -I../src
+check_PROGRAMS = unittests
+EXTRA_DIST = systemtests.pl STSupport.pm st_fileformats.pl st_embparameters.pl
+noinst_HEADERS = \
+AuFileTest.h AUtilsTest.h AudioSampleValueTest.h BFSAPHeuristicTest.h DFSAPHeuristicTest.h \
+BitStringTest.h BmpOS2FileTest.h BmpPaletteSampleValueTest.h \
+BmpRGBSampleValueTest.h BmpWinFileTest.h WKSConstructionHeuristicTest.h \
+BmpFileTest.h CvrStgFileTest.h DummyFile.h \
+DummySampleValue.h EdgeIteratorTest.h EmbDataTest.h GraphTest.h JpegFileTest.h \
+JpegSampleValueTest.h MCryptPPTest.h MHashKeyGenTest.h MHashPPTest.h \
+MatchingTest.h SampleValueAdjacencyListTest.h SampleValueTest.h SelectorTest.h \
+Test.h TestCategory.h TestCategoryCaller.h TestSuite.h UnitTest.h \
+WavFileTest.h WavPCMSampleValueTest.h utcommon.h
+
+unittests_SOURCES = \
+AuFileTest.cc AUtilsTest.cc AudioSampleValueTest.cc BFSAPHeuristicTest.cc DFSAPHeuristicTest.cc \
+BitStringTest.cc BmpOS2FileTest.cc BmpPaletteSampleValueTest.cc \
+BmpRGBSampleValueTest.cc BmpWinFileTest.cc WKSConstructionHeuristicTest.cc \
+BmpFileTest.cc CvrStgFileTest.cc \
+DummyFile.cc DummySampleValue.cc EdgeIteratorTest.cc EmbDataTest.cc \
+GraphTest.cc JpegFileTest.cc JpegSampleValueTest.cc MCryptPPTest.cc \
+MHashKeyGenTest.cc MHashPPTest.cc MatchingTest.cc \
+SampleValueAdjacencyListTest.cc SampleValueTest.cc SelectorTest.cc \
+TestSuite.cc UnitTest.cc WavFileTest.cc WavPCMSampleValueTest.cc main.cc
+
+unittests_LDADD = \
+../src/Arg.o ../src/Arguments.o ../src/AssertionFailed.o ../src/AuFile.o \
+../src/AuSampleValues.o ../src/DFSAPHeuristic.o ../src/BFSAPHeuristic.o ../src/BinaryIO.o \
+../src/BitString.o ../src/BmpFile.o ../src/BmpPaletteSampleValue.o \
+../src/BmpRGBSampleValue.o ../src/BmpSampleValue.o \
+../src/WKSConstructionHeuristic.o ../src/CvrStgFile.o \
+../src/Edge.o ../src/EdgeIterator.o ../src/DMDConstructionHeuristic.o \
+../src/EmbData.o ../src/Embedder.o ../src/EncryptionAlgorithm.o \
+../src/EncryptionMode.o ../src/Extractor.o ../src/Graph.o ../src/JpegFile.o \
+../src/JpegSampleValue.o ../src/MCryptPP.o ../src/MHashKeyGen.o \
+../src/MHashPP.o ../src/Matching.o ../src/MatchingAlgorithm.o \
+../src/ProgressOutput.o ../src/PseudoRandomSource.o ../src/RGBTriple.o \
+../src/RandomSource.o ../src/SampleValue.o ../src/SampleValueAdjacencyList.o \
+../src/Selector.o ../src/Session.o ../src/SteghideError.o ../src/Terminal.o \
+../src/Utils.o ../src/Vertex.o ../src/WavChunk.o ../src/WavChunkHeader.o \
+../src/WavChunkUnused.o ../src/WavFile.o ../src/WavFormatChunk.o \
+../src/WavPCMSampleValue.o ../src/error.o ../src/msg.o ../src/SMDConstructionHeuristic.o
+
+MAINTAINERCLEANFILES = Makefile.in
+subdir = tests
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
+CONFIG_HEADER = $(top_builddir)/config.h
+CONFIG_CLEAN_FILES =
+check_PROGRAMS = unittests$(EXEEXT)
+am_unittests_OBJECTS = AuFileTest.$(OBJEXT) AUtilsTest.$(OBJEXT) \
+	AudioSampleValueTest.$(OBJEXT) BFSAPHeuristicTest.$(OBJEXT) \
+	DFSAPHeuristicTest.$(OBJEXT) BitStringTest.$(OBJEXT) \
+	BmpOS2FileTest.$(OBJEXT) BmpPaletteSampleValueTest.$(OBJEXT) \
+	BmpRGBSampleValueTest.$(OBJEXT) BmpWinFileTest.$(OBJEXT) \
+	WKSConstructionHeuristicTest.$(OBJEXT) BmpFileTest.$(OBJEXT) \
+	CvrStgFileTest.$(OBJEXT) DummyFile.$(OBJEXT) \
+	DummySampleValue.$(OBJEXT) EdgeIteratorTest.$(OBJEXT) \
+	EmbDataTest.$(OBJEXT) GraphTest.$(OBJEXT) \
+	JpegFileTest.$(OBJEXT) JpegSampleValueTest.$(OBJEXT) \
+	MCryptPPTest.$(OBJEXT) MHashKeyGenTest.$(OBJEXT) \
+	MHashPPTest.$(OBJEXT) MatchingTest.$(OBJEXT) \
+	SampleValueAdjacencyListTest.$(OBJEXT) \
+	SampleValueTest.$(OBJEXT) SelectorTest.$(OBJEXT) \
+	TestSuite.$(OBJEXT) UnitTest.$(OBJEXT) WavFileTest.$(OBJEXT) \
+	WavPCMSampleValueTest.$(OBJEXT) main.$(OBJEXT)
+unittests_OBJECTS = $(am_unittests_OBJECTS)
+unittests_DEPENDENCIES = ../src/Arg.o ../src/Arguments.o \
+	../src/AssertionFailed.o ../src/AuFile.o \
+	../src/AuSampleValues.o ../src/DFSAPHeuristic.o \
+	../src/BFSAPHeuristic.o ../src/BinaryIO.o ../src/BitString.o \
+	../src/BmpFile.o ../src/BmpPaletteSampleValue.o \
+	../src/BmpRGBSampleValue.o ../src/BmpSampleValue.o \
+	../src/WKSConstructionHeuristic.o ../src/CvrStgFile.o \
+	../src/Edge.o ../src/EdgeIterator.o \
+	../src/DMDConstructionHeuristic.o ../src/EmbData.o \
+	../src/Embedder.o ../src/EncryptionAlgorithm.o \
+	../src/EncryptionMode.o ../src/Extractor.o ../src/Graph.o \
+	../src/JpegFile.o ../src/JpegSampleValue.o ../src/MCryptPP.o \
+	../src/MHashKeyGen.o ../src/MHashPP.o ../src/Matching.o \
+	../src/MatchingAlgorithm.o ../src/ProgressOutput.o \
+	../src/PseudoRandomSource.o ../src/RGBTriple.o \
+	../src/RandomSource.o ../src/SampleValue.o \
+	../src/SampleValueAdjacencyList.o ../src/Selector.o \
+	../src/Session.o ../src/SteghideError.o ../src/Terminal.o \
+	../src/Utils.o ../src/Vertex.o ../src/WavChunk.o \
+	../src/WavChunkHeader.o ../src/WavChunkUnused.o \
+	../src/WavFile.o ../src/WavFormatChunk.o \
+	../src/WavPCMSampleValue.o ../src/error.o ../src/msg.o \
+	../src/SMDConstructionHeuristic.o
+unittests_LDFLAGS =
+
+DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
+depcomp = $(SHELL) $(top_srcdir)/depcomp
+am__depfiles_maybe = depfiles
+DEP_FILES = ./$(DEPDIR)/AUtilsTest.Po \
+	./$(DEPDIR)/AuFileTest.Po \
+	./$(DEPDIR)/AudioSampleValueTest.Po \
+	./$(DEPDIR)/BFSAPHeuristicTest.Po \
+	./$(DEPDIR)/BitStringTest.Po \
+	./$(DEPDIR)/BmpFileTest.Po \
+	./$(DEPDIR)/BmpOS2FileTest.Po \
+	./$(DEPDIR)/BmpPaletteSampleValueTest.Po \
+	./$(DEPDIR)/BmpRGBSampleValueTest.Po \
+	./$(DEPDIR)/BmpWinFileTest.Po \
+	./$(DEPDIR)/CvrStgFileTest.Po \
+	./$(DEPDIR)/DFSAPHeuristicTest.Po \
+	./$(DEPDIR)/DummyFile.Po \
+	./$(DEPDIR)/DummySampleValue.Po \
+	./$(DEPDIR)/EdgeIteratorTest.Po \
+	./$(DEPDIR)/EmbDataTest.Po ./$(DEPDIR)/GraphTest.Po \
+	./$(DEPDIR)/JpegFileTest.Po \
+	./$(DEPDIR)/JpegSampleValueTest.Po \
+	./$(DEPDIR)/MCryptPPTest.Po \
+	./$(DEPDIR)/MHashKeyGenTest.Po \
+	./$(DEPDIR)/MHashPPTest.Po \
+	./$(DEPDIR)/MatchingTest.Po \
+	./$(DEPDIR)/SampleValueAdjacencyListTest.Po \
+	./$(DEPDIR)/SampleValueTest.Po \
+	./$(DEPDIR)/SelectorTest.Po \
+	./$(DEPDIR)/TestSuite.Po ./$(DEPDIR)/UnitTest.Po \
+	./$(DEPDIR)/WKSConstructionHeuristicTest.Po \
+	./$(DEPDIR)/WavFileTest.Po \
+	./$(DEPDIR)/WavPCMSampleValueTest.Po \
+	./$(DEPDIR)/main.Po
+CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
+	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
+CXXLD = $(CXX)
+CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
+	-o $@
+DIST_SOURCES = $(unittests_SOURCES)
+HEADERS = $(noinst_HEADERS)
+
+
+RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
+	ps-recursive install-info-recursive uninstall-info-recursive \
+	all-recursive install-data-recursive install-exec-recursive \
+	installdirs-recursive install-recursive uninstall-recursive \
+	check-recursive installcheck-recursive
+DIST_COMMON = $(noinst_HEADERS) Makefile.am Makefile.in
+DIST_SUBDIRS = $(SUBDIRS)
+SOURCES = $(unittests_SOURCES)
+
+all: all-recursive
+
+.SUFFIXES:
+.SUFFIXES: .cc .o .obj
+$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
+	cd $(top_srcdir) && \
+	  $(AUTOMAKE) --foreign  tests/Makefile
+Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
+	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
+
+clean-checkPROGRAMS:
+	-test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
+unittests$(EXEEXT): $(unittests_OBJECTS) $(unittests_DEPENDENCIES) 
+	@rm -f unittests$(EXEEXT)
+	$(CXXLINK) $(unittests_LDFLAGS) $(unittests_OBJECTS) $(unittests_LDADD) $(LIBS)
+
+mostlyclean-compile:
+	-rm -f *.$(OBJEXT) core *.core
+
+distclean-compile:
+	-rm -f *.tab.c
+
+include ./$(DEPDIR)/AUtilsTest.Po
+include ./$(DEPDIR)/AuFileTest.Po
+include ./$(DEPDIR)/AudioSampleValueTest.Po
+include ./$(DEPDIR)/BFSAPHeuristicTest.Po
+include ./$(DEPDIR)/BitStringTest.Po
+include ./$(DEPDIR)/BmpFileTest.Po
+include ./$(DEPDIR)/BmpOS2FileTest.Po
+include ./$(DEPDIR)/BmpPaletteSampleValueTest.Po
+include ./$(DEPDIR)/BmpRGBSampleValueTest.Po
+include ./$(DEPDIR)/BmpWinFileTest.Po
+include ./$(DEPDIR)/CvrStgFileTest.Po
+include ./$(DEPDIR)/DFSAPHeuristicTest.Po
+include ./$(DEPDIR)/DummyFile.Po
+include ./$(DEPDIR)/DummySampleValue.Po
+include ./$(DEPDIR)/EdgeIteratorTest.Po
+include ./$(DEPDIR)/EmbDataTest.Po
+include ./$(DEPDIR)/GraphTest.Po
+include ./$(DEPDIR)/JpegFileTest.Po
+include ./$(DEPDIR)/JpegSampleValueTest.Po
+include ./$(DEPDIR)/MCryptPPTest.Po
+include ./$(DEPDIR)/MHashKeyGenTest.Po
+include ./$(DEPDIR)/MHashPPTest.Po
+include ./$(DEPDIR)/MatchingTest.Po
+include ./$(DEPDIR)/SampleValueAdjacencyListTest.Po
+include ./$(DEPDIR)/SampleValueTest.Po
+include ./$(DEPDIR)/SelectorTest.Po
+include ./$(DEPDIR)/TestSuite.Po
+include ./$(DEPDIR)/UnitTest.Po
+include ./$(DEPDIR)/WKSConstructionHeuristicTest.Po
+include ./$(DEPDIR)/WavFileTest.Po
+include ./$(DEPDIR)/WavPCMSampleValueTest.Po
+include ./$(DEPDIR)/main.Po
+
+distclean-depend:
+	-rm -rf ./$(DEPDIR)
+
+.cc.o:
+	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
+	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
+	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
+	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
+	fi
+#	source='$<' object='$@' libtool=no \
+#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
+#	$(CXXDEPMODE) $(depcomp) \
+#	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
+
+.cc.obj:
+	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
+	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
+	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
+	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
+	fi
+#	source='$<' object='$@' libtool=no \
+#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
+#	$(CXXDEPMODE) $(depcomp) \
+#	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
+uninstall-info-am:
+
+# This directory's subdirectories are mostly independent; you can cd
+# into them and run `make' without going through this Makefile.
+# To change the values of `make' variables: instead of editing Makefiles,
+# (1) if the variable is set in `config.status', edit `config.status'
+#     (which will cause the Makefiles to be regenerated when you run `make');
+# (2) otherwise, pass the desired values on the `make' command line.
+$(RECURSIVE_TARGETS):
+	@set fnord $$MAKEFLAGS; amf=$$2; \
+	dot_seen=no; \
+	target=`echo $@ | sed s/-recursive//`; \
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  echo "Making $$target in $$subdir"; \
+	  if test "$$subdir" = "."; then \
+	    dot_seen=yes; \
+	    local_target="$$target-am"; \
+	  else \
+	    local_target="$$target"; \
+	  fi; \
+	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
+	done; \
+	if test "$$dot_seen" = "no"; then \
+	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
+	fi; test -z "$$fail"
+
+mostlyclean-recursive clean-recursive distclean-recursive \
+maintainer-clean-recursive:
+	@set fnord $$MAKEFLAGS; amf=$$2; \
+	dot_seen=no; \
+	case "$@" in \
+	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
+	  *) list='$(SUBDIRS)' ;; \
+	esac; \
+	rev=''; for subdir in $$list; do \
+	  if test "$$subdir" = "."; then :; else \
+	    rev="$$subdir $$rev"; \
+	  fi; \
+	done; \
+	rev="$$rev ."; \
+	target=`echo $@ | sed s/-recursive//`; \
+	for subdir in $$rev; do \
+	  echo "Making $$target in $$subdir"; \
+	  if test "$$subdir" = "."; then \
+	    local_target="$$target-am"; \
+	  else \
+	    local_target="$$target"; \
+	  fi; \
+	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
+	done && test -z "$$fail"
+tags-recursive:
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
+	done
+ctags-recursive:
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
+	done
+
+ETAGS = etags
+ETAGSFLAGS =
+
+CTAGS = ctags
+CTAGSFLAGS =
+
+tags: TAGS
+
+ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
+	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
+	unique=`for i in $$list; do \
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+	  done | \
+	  $(AWK) '    { files[$$0] = 1; } \
+	       END { for (i in files) print i; }'`; \
+	mkid -fID $$unique
+
+TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+		$(TAGS_FILES) $(LISP)
+	tags=; \
+	here=`pwd`; \
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  if test "$$subdir" = .; then :; else \
+	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
+	  fi; \
+	done; \
+	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
+	unique=`for i in $$list; do \
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+	  done | \
+	  $(AWK) '    { files[$$0] = 1; } \
+	       END { for (i in files) print i; }'`; \
+	test -z "$(ETAGS_ARGS)$$tags$$unique" \
+	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
+	     $$tags $$unique
+
+ctags: CTAGS
+CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+		$(TAGS_FILES) $(LISP)
+	tags=; \
+	here=`pwd`; \
+	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
+	unique=`for i in $$list; do \
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+	  done | \
+	  $(AWK) '    { files[$$0] = 1; } \
+	       END { for (i in files) print i; }'`; \
+	test -z "$(CTAGS_ARGS)$$tags$$unique" \
+	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
+	     $$tags $$unique
+
+GTAGS:
+	here=`$(am__cd) $(top_builddir) && pwd` \
+	  && cd $(top_srcdir) \
+	  && gtags -i $(GTAGS_ARGS) $$here
+
+distclean-tags:
+	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
+
+check-TESTS: $(TESTS)
+	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
+	srcdir=$(srcdir); export srcdir; \
+	list='$(TESTS)'; \
+	if test -n "$$list"; then \
+	  for tst in $$list; do \
+	    if test -f ./$$tst; then dir=./; \
+	    elif test -f $$tst; then dir=; \
+	    else dir="$(srcdir)/"; fi; \
+	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
+	      all=`expr $$all + 1`; \
+	      case " $(XFAIL_TESTS) " in \
+	      *" $$tst "*) \
+	        xpass=`expr $$xpass + 1`; \
+	        failed=`expr $$failed + 1`; \
+	        echo "XPASS: $$tst"; \
+	      ;; \
+	      *) \
+	        echo "PASS: $$tst"; \
+	      ;; \
+	      esac; \
+	    elif test $$? -ne 77; then \
+	      all=`expr $$all + 1`; \
+	      case " $(XFAIL_TESTS) " in \
+	      *" $$tst "*) \
+	        xfail=`expr $$xfail + 1`; \
+	        echo "XFAIL: $$tst"; \
+	      ;; \
+	      *) \
+	        failed=`expr $$failed + 1`; \
+	        echo "FAIL: $$tst"; \
+	      ;; \
+	      esac; \
+	    else \
+	      skip=`expr $$skip + 1`; \
+	      echo "SKIP: $$tst"; \
+	    fi; \
+	  done; \
+	  if test "$$failed" -eq 0; then \
+	    if test "$$xfail" -eq 0; then \
+	      banner="All $$all tests passed"; \
+	    else \
+	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
+	    fi; \
+	  else \
+	    if test "$$xpass" -eq 0; then \
+	      banner="$$failed of $$all tests failed"; \
+	    else \
+	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
+	    fi; \
+	  fi; \
+	  dashes="$$banner"; \
+	  skipped=""; \
+	  if test "$$skip" -ne 0; then \
+	    skipped="($$skip tests were not run)"; \
+	    test `echo "$$skipped" | wc -c` -gt `echo "$$banner" | wc -c` && \
+	      dashes="$$skipped"; \
+	  fi; \
+	  report=""; \
+	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
+	    report="Please report to $(PACKAGE_BUGREPORT)"; \
+	    test `echo "$$report" | wc -c` -gt `echo "$$banner" | wc -c` && \
+	      dashes="$$report"; \
+	  fi; \
+	  dashes=`echo "$$dashes" | sed s/./=/g`; \
+	  echo "$$dashes"; \
+	  echo "$$banner"; \
+	  test -n "$$skipped" && echo "$$skipped"; \
+	  test -n "$$report" && echo "$$report"; \
+	  echo "$$dashes"; \
+	  test "$$failed" -eq 0; \
+	else :; fi
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+
+top_distdir = ..
+distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)
+
+distdir: $(DISTFILES)
+	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
+	list='$(DISTFILES)'; for file in $$list; do \
+	  case $$file in \
+	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
+	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
+	  esac; \
+	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
+	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
+	    dir="/$$dir"; \
+	    $(mkinstalldirs) "$(distdir)$$dir"; \
+	  else \
+	    dir=''; \
+	  fi; \
+	  if test -d $$d/$$file; then \
+	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
+	    fi; \
+	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
+	  else \
+	    test -f $(distdir)/$$file \
+	    || cp -p $$d/$$file $(distdir)/$$file \
+	    || exit 1; \
+	  fi; \
+	done
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  if test "$$subdir" = .; then :; else \
+	    test -d $(distdir)/$$subdir \
+	    || mkdir $(distdir)/$$subdir \
+	    || exit 1; \
+	    (cd $$subdir && \
+	      $(MAKE) $(AM_MAKEFLAGS) \
+	        top_distdir="$(top_distdir)" \
+	        distdir=../$(distdir)/$$subdir \
+	        distdir) \
+	      || exit 1; \
+	  fi; \
+	done
+check-am: all-am
+	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
+	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
+check: check-recursive
+all-am: Makefile $(HEADERS)
+installdirs: installdirs-recursive
+installdirs-am:
+
+install: install-recursive
+install-exec: install-exec-recursive
+install-data: install-data-recursive
+uninstall: uninstall-recursive
+
+install-am: all-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-recursive
+install-strip:
+	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+	  INSTALL_STRIP_FLAG=-s \
+	  `test -z '$(STRIP)' || \
+	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+mostlyclean-generic:
+
+clean-generic:
+
+distclean-generic:
+	-rm -f Makefile $(CONFIG_CLEAN_FILES)
+
+maintainer-clean-generic:
+	@echo "This command is intended for maintainers to use"
+	@echo "it deletes files that may require special tools to rebuild."
+	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
+clean: clean-recursive
+
+clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am
+
+distclean: distclean-recursive
+
+distclean-am: clean-am distclean-compile distclean-depend \
+	distclean-generic distclean-tags
+
+dvi: dvi-recursive
+
+dvi-am:
+
+info: info-recursive
+
+info-am:
+
+install-data-am:
+
+install-exec-am:
+
+install-info: install-info-recursive
+
+install-man:
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-recursive
+
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-recursive
+
+mostlyclean-am: mostlyclean-compile mostlyclean-generic
+
+pdf: pdf-recursive
+
+pdf-am:
+
+ps: ps-recursive
+
+ps-am:
+
+uninstall-am: uninstall-info-am
+
+uninstall-info: uninstall-info-recursive
+
+.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-TESTS \
+	check-am clean clean-checkPROGRAMS clean-generic \
+	clean-recursive ctags ctags-recursive distclean \
+	distclean-compile distclean-depend distclean-generic \
+	distclean-recursive distclean-tags distdir dvi dvi-am \
+	dvi-recursive info info-am info-recursive install install-am \
+	install-data install-data-am install-data-recursive \
+	install-exec install-exec-am install-exec-recursive \
+	install-info install-info-am install-info-recursive install-man \
+	install-recursive install-strip installcheck installcheck-am \
+	installdirs installdirs-am installdirs-recursive \
+	maintainer-clean maintainer-clean-generic \
+	maintainer-clean-recursive mostlyclean mostlyclean-compile \
+	mostlyclean-generic mostlyclean-recursive pdf pdf-am \
+	pdf-recursive ps ps-am ps-recursive tags tags-recursive \
+	uninstall uninstall-am uninstall-info-am \
+	uninstall-info-recursive uninstall-recursive
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT: